package com.gic.auth.utils.qrcode;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.gic.auth.service.UserApiService;

/**
 * 管理员二维码回调
 * @ClassName:  
 * @Description:  
 * @author guojuxing 
 * @date 2021/1/5 11:05 AM 
 */
@Component
public class UserQrcode implements IQrcode{
    private static Logger logger = LogManager.getLogger(UserQrcode.class);
    @Autowired
    private UserApiService userApiService;

    @Override
    public void receiveOpenId(String customParams, String openid) {
        userApiService.updateUserOpenId(Integer.parseInt(customParams), openid);
    }
}
